#!/bin/bash
config=/etc/suricata/mhn_suricata_rule_update.conf

if [ ! -f $config ]; then
    echo "File not found: $config"
    exit 1
else
    source $config
fi

if [ -z "$server_url" ];then
    echo "Please define server url in $config file"
    exit 1
fi

sed -i "/^ -.*\.rules/d; /^# -.*\.rules/d; /^ # -.*\.rules/d" /etc/suricata/suricata.yaml
sed -i "s/^rule-files:/rule-files:\n - local.rules\n - mhn.rules/" /etc/suricata/suricata.yaml

rm -f /tmp/mhn.rules
curl -s -o /tmp/mhn.rules $server_url/static/mhn.rules && \
rm -f /etc/suricata/rules/mhn.rules && \
mv /tmp/mhn.rules /etc/suricata/rules/

suricatasc -c reload-rules | logger -t MHN-Suricata-Rule-Update


